%define libname %mklibname %name

Name:		xos-credagent
Version:	0.3.0
Release:	%mkrel 5
Summary:	Credagent
URL:		http://xtreemos.eu
Group:		System/Cluster
License:	GPL
Source:		lib%{name}-%{version}.tar.bz2
#Buildrequires:	

%description
lib cred agent

%package -n %{libname}-devel
Summary: The %name library - development files
Group:          System/Cluster
Provides: %name-devel = %{version}-%{release}, lib%{name}-devel = %{version}-%{release}
Requires: %name = %{version}-%{release}

%description -n %{libname}-devel
This package provides the %name libraries 
development files and static libraries

%prep
%setup -q -n lib%{name}-%{version}

%build
make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=%{buildroot} PREFIX=/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc VERSION
%{_bindir}/blueauthresp
%{_prefix}/lib/security/xos_*
%{_prefix}/lib/*xos_*.so.0
%_datadir/doc/*
%_datadir/locale/*

%files -n %{libname}-devel
%doc VERSION
%_includedir/xos_credagent.h
%_prefix/lib/libxos_credagent.a

%changelog
